> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblUserStatisticsGetMultipleUserStatisticsAsync

> XblUserStatisticsGetMultipleUserStatisticsAsync

Get statistics for multiple users.

## Syntax

```cpp theme={null}
HRESULT XblUserStatisticsGetMultipleUserStatisticsAsync(  
         XblContextHandle xblContextHandle,  
         uint64_t* xboxUserIds,  
         size_t xboxUserIdsCount,  
         const char* serviceConfigurationId,  
         const char** statisticNames,  
         size_t statisticNamesCount,  
         XAsyncBlock* async  
)  
```

### Parameters

*xblContextHandle*   \_In\_\
Type: [XblContextHandle](https://docs.xbox.com/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

XBOX services context for the local user.

*xboxUserIds*   \_In\_\
Type: uint64\_t\*

A list of the user XBOX user IDs to get stats for.

*xboxUserIdsCount*   \_In\_\
Type: size\_t

The number of XBOX user IDs.

*serviceConfigurationId*   \_In\_z\_\
Type: char\*

The Service Configuration ID (SCID) for the title. The SCID is considered case sensitive so paste it directly from the Partner Center.

*statisticNames*   \_In\_\
Type: char\*\*

A collection of statistic names to lookup.

*statisticNamesCount*   \_In\_\
Type: size\_t

The number of statistic names.

*async*   \_In\_\
Type: XAsyncBlock\*

The AsyncBlock for this operation.

### Return value

Type: HRESULT

HRESULT return code for this API operation.

## Remarks

Call [XblUserStatisticsGetMultipleUserStatisticsResultSize](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsresultsize.md) and [XblUserStatisticsGetMultipleUserStatisticsResult](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsresult.md) upon completion to get the result. Only statistics with values are returned. For example, if you ask for 3 statistic names and only 2 have values, only 2 statistics are returned by the service.

If using [event-based Stats](https://docs.xbox.com/services/xbox-services/player-data/stats-leaderboards/event-based/live-stats-eb-overview.md), statistic names will coincide with each stat's [stat instance](https://docs.xbox.com/services/xbox-services/player-data/stats-leaderboards/event-based/live-stats-eb-overview.md#defining-stat-instances). If using [title-managed Stats](https://docs.xbox.com/services/xbox-services/player-data/stats-leaderboards/title-managed/live-stats-tm-overview.md), statistic names will coincide with each stat's ID.

## REST Call

V1 POST /batch

## Requirements

**Header:** user\_statistics\_c.h

**Library:** Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

## See also

[user\_statistics\_c](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/user_statistics_c_members.md)


## Related topics

- [XblUserStatisticsGetMultipleUserStatisticsResult](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsresult.md)
- [user_statistics_c (contents)](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/user_statistics_c_members.md)
- [XblUserStatisticsGetMultipleUserStatisticsResultSize](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsresultsize.md)
- [Getting event-based stats](https://docs.xbox.com/services/xbox-services/player-data/stats-leaderboards/event-based/how-to/live-getting-eb-stat.md)
- [XblUserStatisticsGetMultipleUserStatisticsForMultipleServiceConfigurationsAsync](https://docs.xbox.com/reference/live/xsapi-c/user_statistics_c/functions/xbluserstatisticsgetmultipleuserstatisticsformultipleserviceconfigurationsasync.md)
